#!/bin/sh
#
# Basic parse_control() test
#
# Copyright (C) 2014  Patrick "P. J." McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

req_fields='Package Version'

packages="\
Package: foo
Source: foo
Version: 1.0

Package: bar
Version: 2.0
"
results="\
Package	foo
Source	foo
Version	1.0
¶
Package	bar
Version	2.0
¶
"

. "${srcdir}/tests/parse_control.common.sh"
